summaryrefslogtreecommitdiffstats
path: root/source/a/gettext/gettext.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2011-04-25 13:37:00 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:45:18 +0200
commit75a4a592e5ccda30715f93563d741b83e0dcf39e (patch)
tree502f745607e77a2c4386ad38d818ddcafe81489c /source/a/gettext/gettext.SlackBuild
parentb76270bf9e6dd375e495fec92140a79a79415d27 (diff)
downloadcurrent-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.gz
current-75a4a592e5ccda30715f93563d741b83e0dcf39e.tar.xz
Slackware 13.37slackware-13.37
Mon Apr 25 13:37:00 UTC 2011 Slackware 13.37 x86_64 stable is released! Thanks to everyone who pitched in on this release: the Slackware team, the folks producing upstream code, and linuxquestions.org for providing a great forum for collaboration and testing. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. As always, thanks to the Slackware community for testing, suggestions, and feedback. :-) Have fun!
Diffstat (limited to 'source/a/gettext/gettext.SlackBuild')
-rwxr-xr-xsource/a/gettext/gettext.SlackBuild22
1 files changed, 12 insertions, 10 deletions
diff --git a/source/a/gettext/gettext.SlackBuild b/source/a/gettext/gettext.SlackBuild
index 89de611ef..acaf1df14 100755
--- a/source/a/gettext/gettext.SlackBuild
+++ b/source/a/gettext/gettext.SlackBuild
@@ -20,8 +20,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-VERSION=0.17
-BUILD=${BUILD:-3}
+VERSION=0.18.1.1
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:-" -j6 "}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -79,32 +81,32 @@ CXXFLAGS="$SLKCFLAGS" \
--disable-static \
--build=$ARCH-slackware-linux
-make -j4 || exit 1
+make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG
+
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
+
rm -f $PKG/usr/info/dir
gzip -9 $PKG/usr/info/*
gzip -9 $PKG/usr/man/man?/*
-( cd $PKG/usr/doc
- mkdir gettext-$VERSION
- mv gettext/csharpdoc gettext/javadoc1 gettext/javadoc2 libasprintf \
- gettext-$VERSION
- rm -rf gettext
- cd gettext-$VERSION
+
+( cd $PKG/usr/doc/gettext-$VERSION
if [ -r $PKG/usr/share/gettext/ABOUT-NLS ]; then
rm -f ABOUT-NLS
ln -sf /usr/share/gettext/ABOUT-NLS .
fi
)
+
cp -a \
AUTHORS BUGS intl/COPYING.LIB-2.0 intl/COPYING.LIB-2.1 INSTALL NEWS README \
$PKG/usr/doc/gettext-$VERSION
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-makepkg -l y -c n $TMP/gettext-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/gettext-$VERSION-$ARCH-$BUILD.txz